source ~/.bashrc

partition_file_list=$1
sql='/apsara/deploy/sqlonline_console -i false -d OTSPublicDB -s sqlonline-OTS -m admin -c'

while read root_id table_id partition_id fcount
do
    prefix_path="pangu://localcluster:10240/apsara/sqlonline-OTS/OTSPublicDB/Data"
    partition_path="$prefix_path/$root_id/$table_id/Table/$partition_id/OTSDefaultLG/"
    echo "partition_path: $partition_path"

    while (true); do
      file_count=`pu ls $partition_path 2>/dev/null  |  awk -F'/' '{print $1}' |grep ycf |wc -l`
      echo "file_count $file_count"
      valid_file_count=`$sql "gps $partition_id" |grep $partition_id | awk '{print $4}'`
      echo "valid file_count $valid_file_count"
      if [ $file_count -eq $valid_file_count ]||[ $file_count -lt 100 ]
      then
            echo "$partition_id check SUCCESS!!!"
          break
      fi

      echo "begin diable $partition_id"
      $sql "dp $partition_id"
      sleep 2
      while (true)
      do
          isload=`$sql lp |grep $partition_id | awk '{print $3}'`
          echo "after disable partition, current status: $isload"
          if [ $isload == "unplaned" ]
          then
              break;
          fi
          sleep 2
      done
      echo ""

      echo "begin enable $partition_id"
      $sql "ep $partition_id"
      echo ">>>>>> You can stop script running here or wait for 10 sec to step into next round."
        echo ""
        sleep 10
      while (true)
      do
          isload=`$sql lp |grep $partition_id | awk '{print $3}'`
          echo "after enable partition, current status: $isload"
          if [ $isload == "loaded" ]
          then
              break;
          fi
          sleep 2
      done
      echo ""
    done
done < $partition_file_list

